/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"Debug_8h.html#afc3d101f633a076cc1ca84b85b6224b2",
"IdStringType_8h.html#a0d4d774bf0afbfc38825ffa4f6b33352",
"Measure_8h.html",
"PackageProvider_8cc_source.html",
"PoolMember_8h.html#ae94cd07a576454d3dd6803db524488b7",
"RepoManager_8cc.html#aa10791a208cda422b58d4acf41aa21dc",
"RpmPostTransCollector_8cc.html#adcc19f6827c359f45be699bc98768e74",
"String_8cc.html#a373348b9a30f37f621d196a64bd18454",
"Transaction_8cc.html#a35e226d3f89cf041ad0fe9614dad6964",
"classzypp_1_1Application.html#a2928668aac166db79e26fec645c2a3a4",
"classzypp_1_1Capabilities_1_1const__iterator.html#a521909d5e0cdd52d9145a6a6bb2af3da",
"classzypp_1_1CpeId_1_1Impl.html#aaa82d2dfd66427444a62b00566c6d30a",
"classzypp_1_1Exception.html#a59f3290829941253de8c513bbad25863",
"classzypp_1_1HistoryLogDataRepoUrlChange.html#a5224d7019952d893ed7fd0b239120651a31267cc8a52b5d7bedffb6d85a3eeb7c",
"classzypp_1_1Locale.html#aeb978bf054c05d8f442cb19fc04b3a82",
"classzypp_1_1PackageKeyword.html#aae8c977b5223ccd903cf1109eedbdcfc",
"classzypp_1_1PoolItem.html#aecdc47483a831747f1b55eba99761b00",
"classzypp_1_1ProgressData.html#a7882d963a965cc6f9ee1e329eab30195",
"classzypp_1_1RepoManager.html#a4704bb81554b87451616d1f4e95a3c2ba6abc0b224d79c7ad4e6ab98a564ce178",
"classzypp_1_1ResPool.html#ae28c1ad3a6f989ea1b7747f87de2a142",
"classzypp_1_1Resolver.html#a3261c958e452be893c11593ed4e3985c",
"classzypp_1_1Target.html#a0bc137a8d0ac9b98da60c885d069cc7b",
"classzypp_1_1ZConfig.html#af7cb1a3f7ea013d91796e75e6e760c18",
"classzypp_1_1base_1_1DrunkenBishop_1_1Impl.html#a24c94094253c4db86684b611f5cf63fb",
"classzypp_1_1detail_1_1PoolQueryIterator.html#a8a8092dee8067032f05e4c3f785e5ff2",
"classzypp_1_1filesystem_1_1StatMode.html#a9696182241daa20d93c8e1cfb4a0fe56",
"classzypp_1_1media_1_1MediaAccess_1_1FileProvider.html#ad2d18efc135b839b69968138ba93573b",
"classzypp_1_1media_1_1MediaHandler.html#a4cc866e446ca33510e14d2bdd309b10a",
"classzypp_1_1media_1_1MediaTemporaryProblemException.html#a623c8e7ba534afe425084d3a42332252",
"classzypp_1_1media_1_1multifetchworker.html#a24d00f53e76bd7b12af0c8ea1084e3b0",
"classzypp_1_1pool_1_1ByIdent.html#a5f2eaaaf00b8d6b5c7016f44d4867ac8",
"classzypp_1_1repo_1_1ServiceInvalidAliasException.html",
"classzypp_1_1sat_1_1Map.html#a2f2f160b513d32f144898f2ca81f5282",
"classzypp_1_1sat_1_1Solvable.html#a0ac33b9faf69b7b78d3e34998e5b509a",
"classzypp_1_1sat_1_1WhatProvides_1_1Impl.html#a4b0ebb2a98cfa70b160cecb9dcccc707",
"classzypp_1_1syscontent_1_1Reader.html#a1bc9818fb7f4831f0647fd6c94c524af",
"classzypp_1_1target_1_1TargetImpl.html#a5c83f5e1d7fdef37b5b05d65920f543e",
"classzypp_1_1target_1_1rpm_1_1RpmHeader.html#aebeeb2f4aa440c92e727ead483bd796c",
"classzypp_1_1ui_1_1StatusBackup.html#a386181bf48904272e42558e76a2dba99",
"classzypp_1_1xml_1_1Reader.html#a7ce03fe7ce916b8e07e15e147736bdb3",
"globals_f.html",
"namespaceKeyManagerCtx.html",
"solver_2detail_2Resolver_8cc.html#ae01abcbef8854f1769bad4cb65ec9e7c",
"structzypp_1_1DtorReset_1_1Impl.html#a4712f33294c3d5ed9b7e705704b6defd",
"structzypp_1_1PluginFrame_1_1Impl.html#a5f8168a186240dac3aa2e83d60545e37",
"structzypp_1_1Rel.html#ada159bb52fe4f7841fe6e59352046aa6aaac797d9f5d610f8302f06d579e6285e",
"structzypp_1_1ServiceInfo_1_1Impl.html",
"structzypp_1_1callback_1_1TempConnect.html#a7245c359d1852d0ac2b7a80753f9a2fc",
"structzypp_1_1media_1_1CredentialManager_1_1Impl.html#a02fc521abfc0c90e8200570fa0229e94",
"structzypp_1_1repo_1_1ProbeRepoReport.html#a3a4d1015b782768b0f43357caf216e72",
"structzypp_1_1sat_1_1SolvableType.html#a82a4eabca79544677f92d12015dad08d",
"structzypp_1_1target_1_1rpm_1_1RebuildDBReport.html#ab862db991f854dee2f9a8f4dacd1bcbb",
"structzypp_1_1xml_1_1parse__def__assign_1_1Builder.html#a57fe3b795abd123a150a6a71b794c726"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';